import java.util.*;

//----------------------------- Class::Chromosome -------------------------------
public class Chromosome {
    
    //Queue of alleles
    public Queue alleleQ = new LinkedList();

    //changeable queue of alleles
    private Queue changeableAlleleQ = new LinkedList(); 

    //----------------------------- Constructor --------------------------------
    //  Initializes global variables
    //  Parameters:  Queue containing values of alleles
    //-------------------------------------------------------------------------
    public Chromosome(Queue allelesPR) {
        //set queue of alleles equal to the clone of the passed in queue
        LinkedList l = (LinkedList)allelesPR;
        alleleQ = changeableAlleleQ = (Queue)l.clone();
    }//Chromosome

    //----------------------------- getNextAlleleValue --------------------------------
    //  returns the integer value of the next allele
    //-------------------------------------------------------------------------
    public int getNextAlleleValue() {
        //return the next allele and send it to the back of the queue
        Integer rd = (Integer)changeableAlleleQ.poll();
        changeableAlleleQ.offer(rd);
        return rd;
    }//getNextAlleleValue
}
