//----------------------------- Class::SongGeneticCode --------------------------------
public class SongGeneticCode {

    //Basic Structure Chromosome - Determines key, instrument voices, and chords
    public Chromosome BasicStructureChrom;

    //Rhythm Chromosome - Determines the note durations of the rhythm
    public Chromosome RhythmChrom;

    //Melody Chromosome - Determines the pitches of each melody
    public Chromosome MelodyChrom;

    //Arpeggio Chromosome - Determines arpeggio choices
    public Chromosome ArpeggioChrom;

    //Selection data
    public int fitness;
    public double probability;
    //int dm = 0;

    //----------------------------- Constructor ------------------------------
    public SongGeneticCode() { }

    //----------------------------- Constructor --------------------------------
    //  Initializes global variables
    //  Parameters:  Chord Progression Chromosome,  Rhythm Chromosome,
    //               Melody Chromosome, Arpeggio Chromosome
    //-------------------------------------------------------------------------
    public SongGeneticCode(Chromosome chordProgChromPR, Chromosome rhythmChromPR,
                        Chromosome melodyChromPR,    Chromosome arpeggioChromPR) {
        BasicStructureChrom = chordProgChromPR;
        RhythmChrom = rhythmChromPR;
        MelodyChrom = melodyChromPR;
        ArpeggioChrom = arpeggioChromPR;
    }//SongGeneticCode

}
